#ifndef CHECK_ISMAS_CONNECTIVITY_COMMAND_H_INCLUDED
#define CHECK_ISMAS_CONNECTIVITY_COMMAND_H_INCLUDED

#include "update_command.h"

class CheckIsmasConnectivityCommand : public UpdateCommand {
public:
    explicit CheckIsmasConnectivityCommand(QString const &command,
                                           Worker *worker,
                                           int nextCommandIndex,
                                           int start_timeout = 100000,
                                           int finish_timeout = 100000);
public slots:
    virtual void readyReadStandardOutput() override;
    virtual void finished(int exitCode, QProcess::ExitStatus exitStatus) override;
};

#endif // CHECK_ISMAS_CONNECTIVITY_COMMAND_H_INCLUDED
