#ifndef CHECK_UPDATE_ACTIVATION_COMMAND_H_INCLUDED
#define CHECK_UPDATE_ACTIVATION_COMMAND_H_INCLUDED

#include "update_command.h"

class CheckUpdateActivationCommand : public UpdateCommand {
public:
    explicit CheckUpdateActivationCommand(QString const &command,
                                          Worker *worker,
                                          int nextCommandIndex,
                                          int start_timeout = 100000,
                                          int finish_timeout = 100000);
public slots:
    virtual void readyReadStandardOutput() override;
    virtual void finished(int exitCode, QProcess::ExitStatus exitStatus) override;
};

#endif // CHECK_UPDATE_ACTIVATION_COMMAND_H_INCLUDED
