#ifndef SHOW_SOFTWARE_STATUS_COMMAND_H_INCLUDED
#define SHOW_SOFTWARE_STATUS_COMMAND_H_INCLUDED

#include "update_command.h"

class ShowSoftwareStatusCommand : public UpdateCommand {
public:
    explicit ShowSoftwareStatusCommand(QString const &command,
                                       Worker *worker,
                                       int nextCommandIndex,
                                       int start_timeout = 100000,
                                       int finish_timeout = 100000);
public slots:
    virtual void readyReadStandardOutput() override;
    virtual void finished(int exitCode, QProcess::ExitStatus exitStatus) override;
};
#endif // SHOW_SOFTWARE_STATUS_COMMAND_H_INCLUDED
