#ifndef UPDATE_DC_COMMAND_H_INCLUDED
#define UPDATE_DC_COMMAND_H_INCLUDED

#include "update_command.h"

class UpdateDCCommand : public UpdateCommand {
public:
    explicit UpdateDCCommand(QString const &command,
                             Worker *worker,
                             int nextCommandIndex,
                             int start_timeout = 100000,
                             int finish_timeout = 100000);
public slots:
    virtual void readyReadStandardOutput() override;
    virtual void finished(int exitCode, QProcess::ExitStatus exitStatus) override;
};

#endif // UPDATE_DC_COMMAND_H_INCLUDED
