#ifndef UPDATE_FS_COMMAND_H_INCLUDED
#define UPDATE_FS_COMMAND_H_INCLUDED

#include "update_command.h"

class UpdateFileSystemCommand : public UpdateCommand {
public:
    explicit UpdateFileSystemCommand(QString const &command,
                                     Worker *worker,
                                     int nextCommandIndex,
                                     int start_timeout = 100000,
                                     int finish_timeout = 100000);
public slots:
    virtual void readyReadStandardOutput() override;
    virtual void finished(int exitCode, QProcess::ExitStatus exitStatus) override;
};

#endif // UPDATE_FS_COMMAND_H_INCLUDED
