#include "process/update_json_command.h"
#include "worker.h"

#include <QDebug>


UpdateJsonCommand::UpdateJsonCommand(QString const &command,
                                     Worker *worker,
                                     int nextCommandIndex,
                                     int start_timeout,
                                     int finish_timeout)
  : UpdateCommand(command, worker, nextCommandIndex, start_timeout, finish_timeout) {
}


void UpdateJsonCommand::finished(int exitCode, QProcess::ExitStatus exitStatus) {
    return UpdateCommand::finished(exitCode, exitStatus);
}

void UpdateJsonCommand::readyReadStandardOutput() {
    QProcess *p = (QProcess *)sender();
    if (p) {
        QString s = p->readAllStandardOutput();
        // qCritical() << __func__ << ":" << __LINE__ << s;

    // static constexpr const char *UPDATE_DC_JSON_FILES_SUCCESS{"success"};
        emit m_worker->showDownloadDCJsonFilesStatus(UpdateCommand::UPDATE_DC_JSON_FILES_SUCCESS);
    }
}
