#ifndef UPDATE_JSON_COMMAND_H_INCLUDED
#define UPDATE_JSON_COMMAND_H_INCLUDED

#include "process/update_command.h"

class UpdateJsonCommand : public UpdateCommand {
public:
    explicit UpdateJsonCommand(QString const &command,
                               Worker *worker,
                               int nextCommandIndex,
                               int start_timeout = 100000,
                               int finish_timeout = 100000);
public slots:
    virtual void readyReadStandardOutput() override;
    virtual void finished(int exitCode, QProcess::ExitStatus exitStatus) override;
};

#endif // UPDATE_JSON_HANDLER_H_INCLUDED
