#include "process/exec_opkg_command.h"
#include "worker.h"

ExecOpkgCommand::ExecOpkgCommand(QString const &command,
                                 Worker *worker,
                                 int nextCommandIndex,
                                 bool noaction,
                                 int start_timeout,
                                 int finish_timeout)
  : UpdateCommand(command, worker, nextCommandIndex, start_timeout, finish_timeout)
  , m_noaction(noaction) {
}

void ExecOpkgCommand::finished(int exitCode, QProcess::ExitStatus exitStatus) {
    return UpdateCommand::finished(exitCode, exitStatus);
}

void ExecOpkgCommand::readyReadStandardOutput() {
    QProcess *p = (QProcess *)sender();
    if (p) {
        QString s = p->readAllStandardOutput();

        // TODO
        Worker *w = worker();
        if (w) {
    // static constexpr const char *EXEC_OPKG_COMMANDS_SUCCESS{"success"};
            emit w->showExecOpkgStatus(UpdateCommand::EXEC_OPKG_COMMANDS_SUCCESS);
        }
    }
}
