#ifndef EXEC_OPKG_COMMAND_H_INCLUDED
#define EXEC_OPKG_COMMAND_H_INCLUDED


#include "update_command.h"

class ExecOpkgCommand : public UpdateCommand {
    bool m_noaction{false};
public:
    explicit ExecOpkgCommand(QString const &command,
                             Worker *worker,
                             int nextCommandIndex,
                             bool noaction,
                             int start_timeout = 100000,
                             int finish_timeout = 100000);
public slots:
    virtual void readyReadStandardOutput() override;
    virtual void finished(int exitCode, QProcess::ExitStatus exitStatus) override;
};

#endif // EXEC_OPKG_COMMAND_H_INCLUDED
