#include "process/update_filesystem_command.h"
#include "worker.h"

UpdateFileSystemCommand::UpdateFileSystemCommand(QString const &command,
                                                 Worker *worker,
                                                 int nextCommandIndex,
                                                 int start_timeout,
                                                 int finish_timeout)
  : UpdateCommand(command, worker, nextCommandIndex, start_timeout, finish_timeout) {
}

void UpdateFileSystemCommand::finished(int exitCode, QProcess::ExitStatus exitStatus) {
    return UpdateCommand::finished(exitCode, exitStatus);
}

void UpdateFileSystemCommand::readyReadStandardOutput() {
    QProcess *p = (QProcess *)sender();
    if (p) {
        QString s = p->readAllStandardOutput();

        // TODO
        Worker *w = worker();
        if (w) {
    // static constexpr const char *SYNC_CUSTOMER_REPO_FILES_SUCCESS{"success"};
            emit w->showSyncCustRepoStatus(UpdateCommand::SYNC_CUSTOMER_REPO_FILES_SUCCESS);
        }
    }
}
